Skip to content
Docs menu

Endpoints

List deliveries

Every delivery attempt with its signed request and your server's response.

Returns deliveries newest first, each with every attempt, the signed request headers, the payload, and your server's response status. GET /webhook-deliveries/{id} returns one, and GET /webhooks/{id}/deliveries lists one endpoint's.

Query

  • webhook_id string
    Deliveries to this endpoint.
  • status string
    succeeded, retrying or failed.
  • event_type string
    Deliveries of this event type.
  • event_id string
    Deliveries of this event.
  • subject_id string
    Deliveries about this object, such as a payment.
  • limit integer
    Page size, from 1 to 100. Defaults to 25.
  • cursor string
    The next_cursor from the previous page. See pagination.

Errors

  • 400 invalid_request
    A filter has a value it can't take, or the cursor belongs to another list.

Any request can also fail on its key or its body. See errors.

Request
curl "https://dash.402pay.co/api/v1/webhook-deliveries?webhook_id=whk_GFAKLrE8wkBwF4WL&status=failed" \  -H "Authorization: Bearer $PAY402_SECRET_KEY"
Response200 OK
{  "data": [    {      "id": "dlv_EpCJYUSbN3WObIJp",      "kind": "webhook_delivery",      "webhook_id": "whk_GFAKLrE8wkBwF4WL",      "event_id": "evt_JxmQNXpkZZN8mpqE",      "event_type": "payment.succeeded",      "subject": {        "kind": "payment",        "id": "pmt_QI02vLdJGd48hBbg"      },      "status": "succeeded",      "response_status": 200,      "duration_ms": 375,      "attempt": 1,      "attempts": [        {          "at": "2026-09-26T21:23:15.256Z",          "response_status": 200,          "duration_ms": 375,          "trigger": "automatic"        }      ],      "next_retry_at": null,      "request_headers": {        "content-type": "application/json",        "webhook-id": "evt_JxmQNXpkZZN8mpqE",        "webhook-timestamp": "1790457795",        "webhook-signature": "v1,Usi/akbM9PxJChbtzMSCZXf783T+z0FaQRv68dL2fwQ="      },      "payload": {        "id": "evt_JxmQNXpkZZN8mpqE",        "kind": "event",        "type": "payment.succeeded",        "subject": {          "kind": "payment",          "id": "pmt_QI02vLdJGd48hBbg"        },        "data": {          "id": "pmt_QI02vLdJGd48hBbg",          "kind": "payment",          "status": "succeeded",          "amount": 4900,          "currency": "USD",          "fee_payer": "business",          "customer_fee": 0,          "amount_received": 4900,          "reporting": {            "currency": "USD",            "amount": 4900,            "fee": 0,            "transaction_fee": 25,            "customer_fee": 0,            "net": 4875          },          "fee_rate_bps": 0,          "method": {            "rail": "crypto",            "asset": "USDC",            "network": "polygon",            "amount": "49.00",            "expected_amount": "49.00",            "overpaid_amount": null,            "from_address": "0x136e44a2738dea5217e8d6745463d2a9a84d1421",            "tx_hash": "0xc16a611d90302ba917593ed9743f5e734a556e8d2f35bb0d60a2ca02ac99bb20",            "explorer_url": "https://polygonscan.com/tx/0xc16a611d90302ba917593ed9743f5e734a556e8d2f35bb0d60a2ca02ac99bb20"          },          "settlement": {            "destination": "wallet",            "asset": "USDC",            "network": "polygon",            "amount": "49.00",            "wallet_id": "wal_1fIGZOrILmsCO0jw",            "address": "0x9a3c416D4A81669C01f4515bBDEB93C45d3813fe",            "tx_hash": "0xc16a611d90302ba917593ed9743f5e734a556e8d2f35bb0d60a2ca02ac99bb20",            "explorer_url": "https://polygonscan.com/tx/0xc16a611d90302ba917593ed9743f5e734a556e8d2f35bb0d60a2ca02ac99bb20"          },          "customer_id": "cst_gWFWcc7Ga0Pv7LSC",          "link_id": null,          "url": "https://checkout.402pay.co/checkout/2jrsrcxv7k",          "reference": "order_1042",          "metadata": {            "order_id": "1042"          },          "success_url": "https://example.com/thanks",          "cancel_url": "https://example.com/cart",          "expires_at": "2026-09-27T21:22:47.038Z",          "canceled_at": null,          "checkout_id": "chk_C5yhPQvPqpYgdDgj",          "description": "Pro plan, monthly",          "country": "US",          "failure_code": null,          "failure_message": null,          "confirmed_at": "2026-09-26T21:23:13.447Z",          "created_at": "2026-09-26T21:22:47.038Z",          "updated_at": "2026-09-26T21:23:13.447Z",          "events": [            {              "type": "created",              "created_at": "2026-09-26T21:22:47.038Z",              "data": null            },            {              "type": "method_selected",              "created_at": "2026-09-26T21:22:47.047Z",              "data": {                "rail": "crypto",                "asset": "USDC",                "network": "polygon"              }            },            {              "type": "detected",              "created_at": "2026-09-26T21:23:07.047Z",              "data": {                "amount": "49.00",                "network": "polygon",                "tx_hash": "0xc16a611d90302ba917593ed9743f5e734a556e8d2f35bb0d60a2ca02ac99bb20"              }            },            {              "type": "confirmation",              "created_at": "2026-09-26T21:23:08.647Z",              "data": {                "current": 1,                "required": 4              }            },            {              "type": "confirmation",              "created_at": "2026-09-26T21:23:10.247Z",              "data": {                "current": 2,                "required": 4              }            },            {              "type": "confirmation",              "created_at": "2026-09-26T21:23:11.847Z",              "data": {                "current": 3,                "required": 4              }            },            {              "type": "confirmation",              "created_at": "2026-09-26T21:23:13.447Z",              "data": {                "current": 4,                "required": 4              }            },            {              "type": "succeeded",              "created_at": "2026-09-26T21:23:13.447Z",              "data": null            }          ]        },        "actor": {          "kind": "system",          "id": null,          "name": null        },        "mode": "live",        "api_version": "v1",        "created_at": "2026-09-26T21:23:15.256Z"      },      "created_at": "2026-09-26T21:23:15.256Z"    }  ],  "has_more": true,  "next_cursor": "dlv_EpCJYUSbN3WObIJp"}